Update CBS Codes

PUT /ws/rest/service/v1/cost/cbs/{project_number}

Purpose

Update CBS Codes for the specified Project.

Request Format

All parameters should be URL encoded.

Path Parameter

  • project_number: Specify the Project number. Project number is mandatory.
  • input query parameter -

    options=

    {

    "key": "bitemid"

    }

  • Based on the key value provided in 'options' parameter, required field will be chosen. If key value is not given then 'code' will be considered as required field.
  • "key" <<code>,<bitemid>>

    Note:

    • The complete path from parent to child CBS code (separated by delimiter '~~') should be given in code field of input request if code is chosen as value for key.
    • The "orderid" and "parentid" cannot be updated. All other cost attributes can be updated.
    • The value in the CBS code field can be updated when the value of key in options parameter is "'bitemid."
    • Partial Update is not allowed.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Request

{

"data": [

{

"bitemid": "26",

"code": "CostX"

"description": "Updating Cost Code using REST webservice",

"status": "InActive"

}

]

}

Sample Success Response

{

"data":[

{

"bitemid" : 26,

"code": "CostX",

"description": "Updating Cost Code using REST webservice",

"item": " Cost1 Item",

"uResProgressAmount": 10,

"status": "inactive",

"cost_type": "Capital",

"parentid": "1",

"orderid": "0",

"budgetid": "6"

}

],

"message":[ "success" ],

"status":200

}